Ubuntu

totem not playing YouTube Videos

Reported by Sam Williams on 2008-04-09
34
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Totem
Fix Released
Medium
totem (Ubuntu)
Low
Ubuntu Desktop Bugs

Bug Description

Totem will not play Youtube videos. The Youtube plugin is installed, but the problem seems to be in launching the uri to play the video. When i try to play one then drill down into the error dialog I get the following message:

Error Launching URI
Could not launch URL "http://www.gnome.org/projects/totem/#codecs":
 Failed to execute child process "/usr/lib/firefox-3.0/firefox-3.0" (No such file or directory)

The error message is correct i do not have a /usr/lib/firefox-3.0 directory. On the otherhand I still have a beta directory. Please see the following directory listing of /usr/lib:
b> ls -ld firefox*
drwxr-xr-x 3 root root 4096 2008-03-06 00:16 firefox
drwxr-xr-x 7 root root 4096 2008-04-06 02:45 firefox-3.0b5
drwxr-xr-x 5 root root 4096 2008-03-06 00:15 firefox-addons

DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=8.04
DISTRIB_CODENAME=hardy
DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"

firefox:
  Installed: 3.0~b5+nobinonly-0ubuntu1
  Candidate: 3.0~b5+nobinonly-0ubuntu1
  Version table:
 *** 3.0~b5+nobinonly-0ubuntu1 0
        500 http://us.archive.ubuntu.com hardy/main Packages
        100 /var/lib/dpkg/status

Related branches

Sebastien Bacher (seb128) wrote :

Thank you for your bug report. What preferred web browser is configured in the GNOME preferred application dialog?

Changed in totem:
assignee: nobody → desktop-bugs
importance: Undecided → Low
status: New → Incomplete
Sam Williams (sam-williams) wrote :

when I look under preferences -> preferred applications I see that the web browser is set to custom and the command: /usr/lib/firefox-3.0/firefox-3.0 "%s".

Setting it to "Ubuntu Sensible Browser" doesn't work either. Changing the setting to Epiphany doesn't work. Finally chaning it to firefox doesn't work either. In all cases, I get the error dialog as follows, and this is with the Youtube and Thumbnail plugins enabled in totem:

========== error dialog ===========
Totem cannot play this type of media (YouTube) because you do not have the appropriate plugins to handle it.
Please install the necessary plugins and restart Totem to be able to play this media.

 http://www.gnome.org/projects/totem/#codecs
========== end error dialog ===========
BTW, the link that goes to #codecs above contains no reasonble information on how to fix this, which is contrary to the error dialog.

Changed in totem:
status: Incomplete → In Progress
Changed in totem:
status: In Progress → New
Petar Vasić (p-vasic) wrote :

This may be related:

In totem plugins 2.22.1-ubuntu1, I get same error. Unlike Sam, I firefox get lauched, but the main problem (playing youtube videos, via totem plugin) is still there.

Upon further inspection I've discovered that the plugin tries, and fails to find "souphttpsrc" gstreamer plugin.
(relevant line in /usr/lib/totem/plugins/youtube/youtube.py:
  if registry.find_plugin ("flvdemux") == None or registry.find_plugin ("souphttpsrc") == None:
)
if the line is changed to:
  if registry.find_plugin ("flvdemux") == None:

video playback works.

should this be a separate bugreport?

Sebastien Bacher (seb128) wrote :

the bug has been fixed upstream and the change will be uploaded to hardy

Changed in totem:
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package totem - 2.22.1-0ubuntu2

---------------
totem (2.22.1-0ubuntu2) hardy; urgency=low

  * debian/patches/90_from_svn_fix_youtube_requirement.patch:
    - change from svn, fix the youtube gstreamer requirement (lp: #214416)

 -- Sebastien Bacher <email address hidden> Fri, 11 Apr 2008 12:08:52 +0200

Changed in totem:
status: Fix Committed → Fix Released
Changed in totem:
status: Unknown → Fix Released
Changed in totem:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.